Debian Bug report logs - #482528
krb5-user: allow Heimdal and MIT kadmin to be installed at the same time

Packages: krb5-user, heimdal-clients; Maintainer for krb5-user is Sam Hartman <hartmans@debian.org>; Source for krb5-user is src:krb5. Maintainer for heimdal-clients is Brian May <bam@debian.org>; Source for heimdal-clients is src:heimdal.

Reported by: Bastian Blank <waldi@debian.org>

Date: Fri, 23 May 2008 09:54:10 UTC

Severity: wishlist

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: heimdal-clients,krb5-user - please make kadmin co-installable
Date: Fri, 23 May 2008 11:52:56 +0200
Package: heimdal-clients,krb5-user
Version: N/A
Severity: wishlist

Both heimdal-clients and krb5-user provides kadmin but they are in no
way compatible. Please make them coinstallable.

One possible fix: move kadmin in its own package and install it as
/usr/bin/kadmin-{heimdal,krb5}.

Bastian

-- 
A Vulcan can no sooner be disloyal than he can exist without breathing.
		-- Kirk, "The Menagerie", stardate 3012.4




Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #10 received at 482528@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 482528@bugs.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user - please make kadmin co-installable
Date: Fri, 23 May 2008 06:22:00 -0700
Bastian Blank <waldi@debian.org> writes:

> Package: heimdal-clients,krb5-user
> Version: N/A
> Severity: wishlist
>
> Both heimdal-clients and krb5-user provides kadmin but they are in no
> way compatible. Please make them coinstallable.
>
> One possible fix: move kadmin in its own package and install it as
> /usr/bin/kadmin-{heimdal,krb5}.

Renaming the kadmin binary is not something I'm willing to do.  That would
break tons and tons of user software.

We could use alternatives, but as you say, they don't have the same
interface.  I'm not sure if alternatives is appropriate in this case.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #15 received at 482528@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 482528@bugs.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user - please make kadmin co-installable
Date: Fri, 23 May 2008 15:46:16 +0200
On Fri, May 23, 2008 at 06:22:00AM -0700, Russ Allbery wrote:
> > One possible fix: move kadmin in its own package and install it as
> > /usr/bin/kadmin-{heimdal,krb5}.
> Renaming the kadmin binary is not something I'm willing to do.  That would
> break tons and tons of user software.
> We could use alternatives, but as you say, they don't have the same
> interface.  I'm not sure if alternatives is appropriate in this case.

The policy mandates that one (or, if no consensus is reached, both)
programs needs to be renamed in such a case (see §10.1). But in this
case the functionality and the commandline interface should be similar
enough, both administers kerberos, to use alternatives.

Bastian

-- 
There is an order of things in this universe.
		-- Apollo, "Who Mourns for Adonais?" stardate 3468.1




Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #20 received at 482528@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 482528@bugs.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user - please make kadmin co-installable
Date: Fri, 23 May 2008 06:57:30 -0700
Bastian Blank <waldi@debian.org> writes:

> The policy mandates that one (or, if no consensus is reached, both)
> programs needs to be renamed in such a case (see §10.1). But in this
> case the functionality and the commandline interface should be similar
> enough, both administers kerberos, to use alternatives.

Okay.  I've been wanting to do that for a while for all of the
command-line clients between Heimdal and MIT, so that's more incentive.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>. Full text and rfc822 format available.

Message #25 received at 482528@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 482528@bugs.debian.org, Bastian Blank <waldi@debian.org>
Subject: Re: Bug#482528: heimdal-clients,krb5-user - please make kadmin co-installable
Date: Mon, 07 Jul 2008 09:58:47 -0400
>>>>> "Russ" == Russ Allbery <rra@debian.org> writes:

    Russ> Bastian Blank <waldi@debian.org> writes:
    >> The policy mandates that one (or, if no consensus is reached,
    >> both) programs needs to be renamed in such a case (see
    >> §10.1). But in this case the functionality and the
    >> commandline interface should be similar enough, both
    >> administers kerberos, to use alternatives.

    Russ> Okay.  I've been wanting to do that for a while for all of
    Russ> the command-line clients between Heimdal and MIT, so that's
    Russ> more incentive.

As krb5 maintainer, I concur with Russ that the interfaces are not
similar enough for alternatives to be appropriate and that renaming
kadmin would have the significant disadvantage of breaking lots of
stuff.

I'm not saying what we should do here other than that alternatives
definitely seems wrong here.




Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@snoopy.debian.net>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #30 received at 482528@bugs.debian.org (full text, mbox):

From: Brian May <bam@snoopy.debian.net>
To: debian-devel@lists.debian.org
Cc: 482528@bugs.debian.org
Subject: Bug#482528: heimdal-clients,krb5-user
Date: Tue, 08 Jul 2008 11:10:44 +1000
Hello,

Can I please have some input into this bug report?

The report itself seems valid, ideally these packages shouldn't conflict.

Solving this in such a way as not to break lots of stuff could be 
awkward though.

Ideas?

Brian May




Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Michael Tautschnig <mt@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #35 received at 482528@bugs.debian.org (full text, mbox):

From: Michael Tautschnig <mt@debian.org>
To: Brian May <bam@snoopy.debian.net>
Cc: debian-devel@lists.debian.org, 482528@bugs.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user
Date: Tue, 8 Jul 2008 03:39:57 +0200
[Message part 1 (text/plain, inline)]
> Hello,
>
> Can I please have some input into this bug report?
>
> The report itself seems valid, ideally these packages shouldn't conflict.
>
> Solving this in such a way as not to break lots of stuff could be  
> awkward though.
>
> Ideas?
>

Are you guys really sure that alternatives are so misplaced here?
- Both perform a similar function.
- A user installing any of the alternatives providing kadmin will probably know
  what they are doing (at least so I guess); and (to be checked) using the wrong
  one will do no harm to the Kerberos database, it will just not work.
- update-alternatives --list editor     
/bin/ed
/bin/nano
/usr/bin/vim.tiny
/usr/bin/emacs21
/usr/bin/vim.basic

  Same command line interface? Definitely not. Same functionality? They all
  modify a piece of text, but that's about it. No need to flame, though, one
  could probably give a lot more examples other than editor.

Best,
Michael

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #40 received at 482528@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Michael Tautschnig <mt@debian.org>
Cc: 482528@bugs.debian.org, Brian May <bam@snoopy.debian.net>, debian-devel@lists.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user
Date: Mon, 07 Jul 2008 19:19:44 -0700
Michael Tautschnig <mt@debian.org> writes:

>> Can I please have some input into this bug report?
>>
>> The report itself seems valid, ideally these packages shouldn't conflict.
>>
>> Solving this in such a way as not to break lots of stuff could be  
>> awkward though.
>>
>> Ideas?

Adding alternatives for kinit, klist, kdestroy, and kpasswd is I think an
obvious move and I'm happy to help do that on the MIT Kerberos side.

Using alternatives for kadmin is more problematic.

(BTW, Brian, this discussion reminds me that I'd like to use alternatives
for krb5.conf.5 so that krb5-doc and heimdal-doc don't need to conflict.
I'd like to have krb5-config provide a stub with a low priority and
krb5-doc and heimdal-doc both provide versions with a higher priority.)

> Are you guys really sure that alternatives are so misplaced here?
> - Both perform a similar function.
> - A user installing any of the alternatives providing kadmin will
> probably know what they are doing (at least so I guess); and (to be
> checked) using the wrong one will do no harm to the Kerberos database,
> it will just not work.

Historically, debian-devel and discussions elsewhere have said that
alternatives is not appropriate in this case.  The command line syntax is
completely different and the commands are completely different.  Any
script that uses kadmin as an interface will break if the alternative
doesn't point to the version that it expects.  That's a fairly serious
problem.

There are some differences in the syntax and flags of the other commands,
but it's more minor and won't affect most applications.

We can discuss it on debian-devel, though.  If the rest of the project
blesses the idea of using alternatives, I'm okay with it, although I think
it has some potential to really confuse things.  It would be easier if MIT
provided an exported API for kadmin, but since they don't, there are a
*lot* of scripts out there that use the kadmin client as an API.

> - update-alternatives --list editor     
> /bin/ed
> /bin/nano
> /usr/bin/vim.tiny
> /usr/bin/emacs21
> /usr/bin/vim.basic

editor and pager are special exceptions to the normal alternative rules
and are specifically documented in Policy.  Other programs have
historically not been allowed to use that sort of exception.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #45 received at 482528@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: Michael Tautschnig <mt@debian.org>, 482528@bugs.debian.org, Brian May <bam@snoopy.debian.net>, debian-devel@lists.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user
Date: Tue, 8 Jul 2008 10:02:13 +0200
On Mon, Jul 07, 2008 at 07:19:44PM -0700, Russ Allbery wrote:
> Using alternatives for kadmin is more problematic.

Which means that you need to find a consens and rename _both_ if none is
found.

> (BTW, Brian, this discussion reminds me that I'd like to use alternatives
> for krb5.conf.5 so that krb5-doc and heimdal-doc don't need to conflict.

Prdon, this is missuse of that mechanism. man already can do that.

Bastian

-- 
Wait!  You have not been prepared!
		-- Mr. Atoz, "Tomorrow is Yesterday", stardate 3113.2




Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>. Full text and rfc822 format available.

Message #50 received at 482528@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Michael Tautschnig <mt@debian.org>
Cc: 482528@bugs.debian.org, Brian May <bam@snoopy.debian.net>, debian-devel@lists.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user
Date: Tue, 08 Jul 2008 09:08:06 -0400
Yeah, I'm reasonably sure that alternatives are wrong for kadmin.
Editor is intended to be used by a user.  Kadmin is often used by
users but is also quite often used by scripts.

Editors also can all work with text files.  It's basically not true
that you can use a heimdal kadmin against an MIT realm.  I can think
of basically no situation where they are interchangable.  However I
can think of many tasks where I'd be equally happy to use ed as Emacs.





Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Michael Tautschnig <mt@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #55 received at 482528@bugs.debian.org (full text, mbox):

From: Michael Tautschnig <mt@debian.org>
To: Sam Hartman <hartmans@debian.org>
Cc: 482528@bugs.debian.org, Brian May <bam@snoopy.debian.net>, debian-devel@lists.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user
Date: Tue, 8 Jul 2008 15:48:22 +0200
[Message part 1 (text/plain, inline)]
> Yeah, I'm reasonably sure that alternatives are wrong for kadmin.
> Editor is intended to be used by a user.  Kadmin is often used by
> users but is also quite often used by scripts.
> 
[...]

Well, if alternatives is the wrong approach, let's try an analytical approach:

- heimdal-clients and krb5-user must not both be installed: Clearly, conflicts:
  is indicated. Then both may provide kadmin. It will break no system (they
  can't both get installed right now).
- Conversely, the packages do not conflict. Then they must not both provide
  kadmin. I guess that there is consensus that even neither of them must ship
  kadmin. 
  - If no kind of aliasing is provided, surely all scripts are going to break.
    It will force users to clean up their scripts. A migration path may be
    provided, but this will just delay breakage.
  - If an alias is provided (be it alternatives or whatever), it will not cause
    scripts to break whenever the link points to the proper kadmin. Determined
    by luck or proper system administration. It will break fewer systems.
    Alternatives at least provide a clean interface to such a shared alias. They
    may be inappropriate, though, as pointed out.

Any options that I'd be missing?

Best,
Michael

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #60 received at 482528@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Michael Tautschnig <mt@debian.org>
Cc: 482528@bugs.debian.org, Brian May <bam@snoopy.debian.net>, debian-devel@lists.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user
Date: Tue, 08 Jul 2008 09:50:45 -0700
Bastian Blank <waldi@debian.org> writes:
> On Mon, Jul 07, 2008 at 07:19:44PM -0700, Russ Allbery wrote:

>> Using alternatives for kadmin is more problematic.

> Which means that you need to find a consens and rename _both_ if none is
> found.

I certainly agree that's an even worse option.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian May <bam@snoopy.debian.net>, Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #65 received at 482528@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Michael Tautschnig <mt@debian.org>
Cc: 482528@bugs.debian.org, Sam Hartman <hartmans@debian.org>, Brian May <bam@snoopy.debian.net>, debian-devel@lists.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user
Date: Tue, 08 Jul 2008 10:04:00 -0700
Michael Tautschnig <mt@debian.org> writes:

> Well, if alternatives is the wrong approach, let's try an analytical approach:
>
> - heimdal-clients and krb5-user must not both be installed: Clearly,
>   conflicts: is indicated. Then both may provide kadmin. It will break
>   no system (they can't both get installed right now).

Bastian is arguing that this violates Policy 10.1:

    Two different packages must not install programs with different
    functionality but with the same filenames. (The case of two programs
    having the same functionality but different implementations is handled
    via "alternatives" or the "Conflicts" mechanism. See Maintainer
    Scripts, Section 3.9 and Conflicting binary packages - Conflicts,
    Section 7.4 respectively.) If this case happens, one of the programs
    must be renamed. The maintainers should report this to the
    debian-devel mailing list and try to find a consensus about which
    program will have to be renamed. If a consensus cannot be reached,
    both programs must be renamed.

I think I disagree, but I'm not sure.

The crux of my disagreement is that I think the bar for using alternatives
is higher than the bar for using Conflicts.  I think that kadmin provides
sufficiently similar functionality in both heimdal-clients and krb5-user
to not qualify as "different functionality" in Policy 10.1, since both
binaries fundamentally do the same thing (manage a Kerberos realm).
However, since the *API* is completely different, I don't think they
qualify for alternatives.  Policy 3.9 says:

    All packages which supply an instance of a common command name (or, in
    general, filename) should generally use update-alternatives, so that
    they may be installed together. If update-alternatives is not used,
    then each package must use Conflicts to ensure that other packages are
    de-installed. (In this case, it may be appropriate to specify a
    conflict against earlier versions of something that previously did not
    use update-alternatives; this is an exception to the usual rule that
    versioned conflicts should be avoided.)

which is what we're complying with right now.  I don't think this is
hair-splitting, but I could be wrong.

Policy doesn't provide any real guidance at the moment on when
alternatives are appropriate and when they aren't.

> - Conversely, the packages do not conflict. Then they must not both
>   provide kadmin. I guess that there is consensus that even neither of
>   them must ship kadmin.
>   - If no kind of aliasing is provided, surely all scripts are going to break.
>     It will force users to clean up their scripts. A migration path may be
>     provided, but this will just delay breakage.

It will also break all scripts written for other systems that someone
tries to use on Debian.

>   - If an alias is provided (be it alternatives or whatever), it will
>     not cause scripts to break whenever the link points to the proper
>     kadmin. Determined by luck or proper system administration. It will
>     break fewer systems.  Alternatives at least provide a clean
>     interface to such a shared alias. They may be inappropriate, though,
>     as pointed out.

Right.

The other option, just for the sake of completeness, is to have one
package win and the other lose and have to rename only its kadmin binary.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hartman <hartmans@debian.org>:
Bug#482528; Package heimdal-clients,krb5-user. Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@snoopy.debian.net>:
Extra info received and forwarded to list. Copy sent to Sam Hartman <hartmans@debian.org>. Full text and rfc822 format available.

Message #70 received at 482528@bugs.debian.org (full text, mbox):

From: Brian May <bam@snoopy.debian.net>
To: Russ Allbery <rra@debian.org>, Michael Tautschnig <mt@debian.org>, 482528@bugs.debian.org, Brian May <bam@snoopy.debian.net>, debian-devel@lists.debian.org
Subject: Re: Bug#482528: heimdal-clients,krb5-user
Date: Wed, 09 Jul 2008 11:52:44 +1000
Bastian Blank wrote:
>> (BTW, Brian, this discussion reminds me that I'd like to use alternatives
>> for krb5.conf.5 so that krb5-doc and heimdal-doc don't need to conflict.
>>     
>
> Prdon, this is missuse of that mechanism. man already can do that.
>   
How?

Brian May




Tags added: wontfix Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 24 Jan 2009 02:06:12 GMT) Full text and rfc822 format available.

Changed Bug title to `krb5-user: allow Heimdal and MIT kadmin to be installed at the same time' from `heimdal-clients,krb5-user - please make kadmin co-installable'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 24 Jan 2009 02:06:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:54:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.